<!--
 * @Author: hua
 * @Date: 2019-05-21 08:56:04
 * @LastEditors: hua
 * @LastEditTime: 2019-05-21 08:59:22
 -->
{% extends "fladmin/public/base.html" %}
{% block title %}留言列表{% endblock %}

{% block content %}
<div class="table-responsive">
<table class="table table-striped table-hover">
  <thead>
	<tr>
	  <th>编号</th>
	  <th width=25%>标题</th>
	  <th>留言时间</th>
	  <th width=45%>内容</th><th>操作</th>
	</tr>
  </thead>
  <tbody>
    {% for row in list %}
	<tr>
        <td>{{row.id}}</td>
        <td>{{row.title}}</td>
	    <td>{{row.add_time|date}}</td>
        <td>{{row.msg}}</td>
        <td>&nbsp;<a onclick="delconfirm('{{"CMS_BASEHOST"|sysconfig}}/fladmin/guestbook/delete?id={{row.id}}')" href="javascript:;">删除</a></td>
	</tr>
    {% endfor %}
  </tbody>
</table>
</div><!-- 表格结束 -->

<form id="searcharc" class="navbar-form" action="{{'CMS_BASEHOST'|sysconfig}}/fladmin/guestbook/index'" method="get">
<div class="form-group"><input type="text" name="keyword" id="keyword" class="form-control required" placeholder="搜索关键词..."></div>
<button type="submit" class="btn btn-info" value="Submit">搜索一下</button></form>

<ul class="pagination" style="margin: 0 20px 0 20px;">
</ul>
<script>
$(function(){
	$('.required').on('focus', function() {
		$(this).removeClass('input-error');
	});
	
    $("#searcharc").submit(function(e){
		$(this).find('.required').each(function(){
			if( $(this).val() == "" )
			{
				e.preventDefault();
				$(this).addClass('input-error');
			}
			else
			{
				$(this).removeClass('input-error');
			}
		});
    });
});
//进行查询
function query(e, page) {
    window.location.href = '?page=' + page;
}

//这里回调
$(".pagination").unbind();
$(".pagination").pagination({
    total_pages:{{ page.total_page }},
    current_page:{{ page.current_page }},
    callback:query
});
</script>
{% endblock %}